OGRE: Ogre::Any Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::Any Class Reference

Variant type that can hold Any other type. More...

`#include <OgreAny.h>`

Inheritance diagram for Ogre::Any:

[legend]
List of all members.

## Public Member Functions

| Any ()
template<typename ValueType>
| Any (const ValueType &value)
| Any (const Any &other)
virtual | ~Any ()
Any & | swap (Any &rhs)
template<typename ValueType>
Any & | operator= (const ValueType &rhs)
Any & | operator= (const Any &rhs)
bool | isEmpty () const
const std::type_info & | getType () const
template<typename ValueType>
ValueType | operator() () const

## Protected Attributes

placeholder * | mContent

## Friends

std::ostream & | operator<< (std::ostream &o, const Any &v)
template<typename ValueType>
ValueType * | any_cast (Any *)

## Classes

class | holder
class | placeholder

## Detailed Description

Variant type that can hold Any other type.

Definition at line 51 of file OgreAny.h.

## Constructor & Destructor Documentation

Ogre::Any::Any | ( |  | ) |

| Definition at line 55 of file OgreAny.h. References mContent. Referenced by operator=().

template<typename ValueType>
Ogre::Any::Any | ( | const ValueType & | value | ) | `[explicit]`

| Definition at line 61 of file OgreAny.h. References mContent.

Ogre::Any::Any | ( | const Any & | other | ) |

| Definition at line 66 of file OgreAny.h. References mContent.

virtual Ogre::Any::~Any | ( |  | ) | `[virtual]`

| Definition at line 71 of file OgreAny.h. References mContent.

## Member Function Documentation

const std::type_info& Ogre::Any::getType | ( | void |  | ) | const

| Definition at line 104 of file OgreAny.h. References Ogre::Any::placeholder::getType(), and mContent. Referenced by Ogre::any_cast(), and operator()().

bool Ogre::Any::isEmpty | ( |  | ) | const

| Definition at line 99 of file OgreAny.h. References mContent.

template<typename ValueType>
ValueType Ogre::Any::operator() | ( |  | ) | const

| Definition at line 184 of file OgreAny.h. References getType(), mContent, and OGRE_EXCEPT.

Any& Ogre::Any::operator= | ( | const Any & | rhs | ) |

| Definition at line 91 of file OgreAny.h. References Any(), and swap().

template<typename ValueType>
Any& Ogre::Any::operator= | ( | const ValueType & | rhs | ) |

| Definition at line 85 of file OgreAny.h. References Any(), and swap().

Any& Ogre::Any::swap | ( | Any & | rhs | ) |

| Definition at line 78 of file OgreAny.h. References mContent. Referenced by Ogre::AnyNumeric::operator=(), and operator=().

## Friends And Related Function Documentation

template<typename ValueType>
ValueType* any_cast | ( | Any * | operand | ) | `[friend]`

| Definition at line 372 of file OgreAny.h.

std::ostream& operator<< | ( | std::ostream & | o,
|  | const Any & | v
| ) | `[friend]`

| Definition at line 110 of file OgreAny.h.

## Member Data Documentation

placeholder* Ogre::Any::mContent`[protected]`

| Definition at line 175 of file OgreAny.h. Referenced by Any(), getType(), isEmpty(), operator()(), swap(), and ~Any().

The documentation for this class was generated from the following file:

- OgreAny.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:31 2008